Package org.eclipse.net4j.util.confirmation

# Enum Class Confirmation

java.lang.Object
java.lang.Enum<Confirmation>
org.eclipse.net4j.util.confirmation.Confirmation

All Implemented Interfaces:
  `Serializable`, `Comparable<Confirmation>`, `java.lang.constant.Constable`

public enum Confirmation extends Enum<Confirmation>
An enumeration of possible answers to a request for confirmation.

Since:
  3.4
Author:
  Christian W. Damus (CEA LIST)
See Also:
  - `IConfirmationProvider`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANCEL`
`NO`
`OK`
`YES`

## Method Summary

Modifier and Type
Method
Description
`static Confirmation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Confirmation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OK

public static final Confirmation OK

### CANCEL

public static final Confirmation CANCEL

### YES

public static final Confirmation YES

### NO

public static final Confirmation NO

## Method Details

### values

public static Confirmation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Confirmation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null